## gnome-app-install 0.1.32

=== debian/changelog ===
gnome-app-install (0.1.32) dapper; urgency=low

  * AppInstall/AppInstall.py: 
    - exit when ok is clicked but no packages where selected
    - fix a bug that caused universe to be not enabled (ubuntu: #46723)
      and make sure to enable updates as well
  * menu-data/*:
    - updated to the latest dapper
  * menu-data-additonal/vmware-player.desktop:
    - added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 May 2006 09:33:43 +0200

gnome-app-install (0.1.31) dapper; urgency=low

  * AppInstall/AppInstall.py:
    - be more robust about mistyped passwords (ubuntu: #40591)
  * menu-data-additonal/wine.desktop: 
    - added a valid desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 May 2006 23:20:50 +0200

gnome-app-install (0.1.30) dapper; urgency=low

  * AppInstall/AppInstall.py:
    - fix broken "Advanced" button (Ubuntu: #45043)
    - fix in the "add-channel" code
  * AppInstall/DialogProprietary.py:
    - browser window expands with the dialog window
  * menu-data/*:
    - updated to the current dapper version (including java5)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 17:16:45 +0200

gnome-app-install (0.1.29) dapper; urgency=low

  * menu-data/*:
    - updated to latest dapper archive
  * data/gnome-app-install.glade:
    - "show proprietary applications" -> "show commercial applications"
      (as suggested by Malcom)
  * AppInstall/Menu.py:
    - "Reading desktop files" -> "Reading list of available applications"
      (thanks to Matt for this suggestion)
  * debian/control:
    - depend on app-install-data-commercial (that contains the commercial
      desktop files)
  * AppInstall/AppInstall.py, DialogProprietary.py:
    - removed some debug code
    - fix a problem with 3rd party apps without channels
  * menu-data-additonal/gstreamer-ugly.desktop:
    - point to "gstreamer0.10-plugins-ugly" (ubuntu: #40046)
  * use the "Education" section (to be in sync with the gnome menu 
    again) (ubuntu: #37921)
  * data/gnome-app-install.glade:
    - fix not translatable button (ubuntu: #44417)
  * help/C/gnome-app-install.xml:
    - various fixes to the manual (ubuntu: #44331)
      
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 May 2006 19:31:18 +0200

gnome-app-install (0.1.28) dapper; urgency=low

  * menu-data/*:
    - updated to latest dapper archive
  * menu-data-additional/nm-applet.desktop:
    - fixed category, shows up in 'Internet' now

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  9 May 2006 23:47:23 +0200

gnome-app-install (0.1.27) dapper; urgency=low

  * catch more errors, some wording fixes (thanks to Sebastian Heinlein)
  * AppInstall/AppInstall.py:
    - fix bug when adding a component
  * help/C/gnome-app-install.xml: 
    - fix some incorrect xml (thanks to Matthew East, closes: 40061)
  * menu-data/*:
    - updated to latest dapper archive

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Apr 2006 09:52:31 +0200

gnome-app-install (0.1.26) dapper; urgency=low

  * debian/control:
    - python-dbus -> python2.4-dbus

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat,  8 Apr 2006 01:06:02 +0200
  

gnome-app-install (0.1.25) dapper; urgency=low

  * give better feedback when the search had no results (ubuntu: #38112)
  * only allow a single gnome-app-install instance in a session (ubuntu: #38424)  * fix a bug in the duplication detection when it was too agressive

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  7 Apr 2006 22:44:16 +0200

gnome-app-install (0.1.24) dapper; urgency=low

  * debian/rules: fix a bug in the clean target
  * help/C: updated documentation (thanks to the docteam!)
  * AppInstall/AppInstall.py: added support for CTRL-q (ubuntu: #3751)
  * menu-data/*.desktop:
    - updated to the latest dapper
  * improved the runtime duplication detection
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  5 Apr 2006 14:37:14 +0200

gnome-app-install (0.1.23) dapper; urgency=low

  * menu-data/*.desktop: 
    - updated to current dapper
    - added libxine-extracodecs.desktop (thanks to Jonathan Riddell)
    - fix a bug in the lyx file
  * fix a problem with gtkhtml2 and the high-contrast theme (ubuntu #36686)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Mar 2006 15:35:55 +0200

gnome-app-install (0.1.22) dapper; urgency=low

  * menu-data/*.desktop: 
    - updated to current dapper, fixed a bug in the epoch handling so 
      this build is much more complete than the previous ones (#35183)
  * blacklisted some duplicated/bogus desktop files (#33922)
  * make sure that a security repo is added if component is added (#34613)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Mar 2006 13:15:51 +0100

gnome-app-install (0.1.21) dapper; urgency=low

  * menu-data/*.desktop: updated to current dapper
  * typo fix (ubuntu: #35655)
  * added pseudo desktop packages for flash and msttfonts

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Mar 2006 18:49:09 +0100

gnome-app-install (0.1.20) dapper; urgency=low

  * fixes various strings (thanks to Jane Silber for the review)
    for real this time, thanks for Sebastian Heinlein for noticing
    and sending the patch
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Mar 2006 16:47:48 +0000

gnome-app-install (0.1.19) dapper; urgency=low

  * fixes various strings (thanks to Jane Silber for the review)
  * make sure that {universe,multiverse}-security is also added when 
    {universe, multiverse} are added
  * remove the "add" button from the description, this is done via the 
    toggle button now again
  * make the progress a single 0-100 run (instead of multiple runs)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Mar 2006 18:26:50 +0000

gnome-app-install (0.1.18) dapper; urgency=low

  * menu-data/gnome-office.desktop: added gnome-desktop
  * menu-data/gstreamer-ugly.desktop: added gstreamer plugin for the "ugly"
    codecs
  * string cleanups
  * disabled the skype channel because it dosn't work with current dapper


=== debian/control ===
Source: gnome-app-install
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), python, python-dev, gettext,  intltool
Standards-Version: 3.6.2

Package: gnome-app-install
Architecture: all
Depends: ${Python:depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), python-gtk2 (>= 2.4.0), python-gnome2-extras  (>= 2.11.3), python-glade2 (>= 2.4.0), python-gnome2, python-apt (>= 0.6.13), python-xdg (>= 0.8), gnome-icon-theme, python-launchpad-integration, firefox, update-manager, app-install-data (>= ${Source-Version}), python2.4-dbus, app-install-data-commercial
Conflicts: gnome-app-install-data
Description: GNOME Application Installer
 A pretty application installer for GNOME.


Package: app-install-data
Architecture: all
Description: GNOME Application Installer (data files)
 A pretty application installer for GNOME.
 .
 This package contains the data files for gnome-app-install.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# used for arch-build
NAME=gnome-app-install
VER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')

DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


build: build-stamp
build-stamp: 
	dh_testdir
	python setup.py build
	touch build-stamp

clean:
	dh_testdir
	#dh_testroot
	rm -f build-stamp 
	python setup.py clean
	-rm -rf util/apt/lists
	-rm -rf util/lists
	-rm -rf util/menu-data
	-rm -rf util/lists
	dh_clean 

install: build
	dh_testdir
	#dh_testroot
	dh_clean -k 
	dh_installdirs
	python setup.py install --prefix=$(CURDIR)/debian/gnome-app-install/usr

	# move the data files to a seperate package
	mv debian/gnome-app-install/usr/share/gnome-app-install/desktop/*.desktop debian/app-install-data/usr/share/app-install/desktop
	mv debian/gnome-app-install/usr/share/gnome-app-install/desktop/*.menu debian/app-install-data/usr/share/app-install/desktop
	mv debian/gnome-app-install/usr/share/gnome-app-install/icons/* debian/app-install-data/usr/share/app-install/icons
	mv debian/gnome-app-install/usr/share/gnome-app-install/channels/* debian/app-install-data/usr/share/app-install/channels || true


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	#dh_testroot
	dh_gconf
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_scrollkeeper
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(NAME)-$(VER)
	tar -c --no-recursion --exclude=arch-build -f - `bzr inventory` | (cd debian/arch-build/$(NAME)-$(VER);tar xf -)
	(cd debian/arch-build/$(NAME)-$(VER) && $(DEB_BUILD_PROG))


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gnome-app-install 0.1.33

=== debian/changelog ===
gnome-app-install (0.1.33) dapper-updates; urgency=low

  * AppInstall/AppInstall.py:
    - fix a bug in the addChannel() code that can lead to not
      adding the gpg key

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Jun 2006 16:44:35 +0200

## gnome-app-install 0.2.21

=== debian/changelog ===
gnome-app-install (0.2.21) edgy; urgency=low

  * fixed vanished intltool-update -p

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Oct 2006 17:19:38 +0200

gnome-app-install (0.2.20) edgy; urgency=low

  * debian/control, dependencies changed:
    - added python-gtkhtml2, python-gconf dependency, 
    - removed python-gnome2, python-gnome2-extras (lp: #65232)
  * menu-data/mail-notification.desktop:
    - removed, buggy desktop file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 14:05:44 +0200

gnome-app-install (0.2.19) edgy; urgency=low

  * menu-data updated to current edgy, fixes error in
    Openoffice.org menu-data (lp: #64677)
  * better support checking for installed software (lp: #64964)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 18:16:12 +0200

gnome-app-install (0.2.18) edgy; urgency=low

  * typos (lp: #63487)
  * update the menu-data files/popcon data to current edgy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Oct 2006 16:56:59 +0200

gnome-app-install (0.2.17) edgy; urgency=low

  * fix missing file in POTFILES.in

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 14:57:17 +0200

gnome-app-install (0.2.16) edgy; urgency=low

  * data/gnome-app-install.glade:
    - updated the text to fix "serve grammar failure" (lp: #62359)
  * wording/typo fixes
  * split out the gtk bits when run update-app-install (lp: #59403)
    (thanks to Sebastian Heinlein)
  * drop python-gtk2 pre-depends
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 30 Sep 2006 00:39:30 +0200

gnome-app-install (0.2.15) edgy; urgency=low

  * hide python-apt future warnings
  * update available information on refresh() 
  * changed the "applications-proprietary" icon
  * menu-data/*:
    - updated to current edgy, updated popcon data as well
  * menu-data-additional/:
    - nvidia-driver.desktop: pseudo package for the nvidia driver
    - nvidia-driver-legacy.desktop:pseudo package for the nvidia legacy driver
    - fglrx-driver.desktop: pseudo package for the ati driver 
    - mscorefonts.desktop: improved description
    - ndisgtk.desktop: added for easy wifi setup
    - nact.desktop: nautilus action
    - sun-java5-plugin.desktop: sun java5 browser plugin
    - mozilla-mplayer.desktop: added mplayer browser plugin
    - mozilla-acroread.desktop: added acroread browser plugin

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Sep 2006 18:40:52 +0200

gnome-app-install (0.2.14) edgy; urgency=low

  * pre-depend on python-gobject as well (lp: #61225)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Sep 2006 10:28:44 +0200

gnome-app-install (0.2.13) edgy; urgency=low

  * debian/control:
    - pre-depend on current python-gtk to fix upgrade problem 
      (lp: #59403)
  * update-app-install: 
    - unset DISPLAY (lp: #59403)
  * menu-data/mail-notification.desktop:
    - fixed incorrect desktop file (lp: #59758)
  * menu-data/mail-notification-properties.desktop:
    - removed and blacklisted
  * menu-data-additonal/j2re1.4-mozilla-plugin.desktop:
    - added java-plugin desktop file (lp: #61047)
  * AppInstall/common.py:
    - use "applications-other" icon when icon can not be found
      (lp: #59478)
  * AppInstall/AppInstall.py:
    - fix typos, better wording (lp: 59477)
    - make sure the welcome text is no longer selected (lp: #58891)
  * blacklist gnome-applets (lp: #59418)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 12:42:50 +0200

gnome-app-install (0.2.12) edgy; urgency=low

  * fix mimetype cache creation
  * fix schema install
  * updated desktop files to current edgy
  * updated popcon data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 02:58:45 +0200

gnome-app-install (0.2.11) edgy; urgency=low

  * fix the python-gdbm dependency again lp: #57528)
  * moved the desktop-files/mime-types cache generation 
    to the postinst (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Sep 2006 16:42:55 +0200

gnome-app-install (0.2.10) edgy; urgency=low

  * fix incorrect display of installation status

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 15:32:00 +0200

gnome-app-install (0.2.9) edgy; urgency=low

  * fix FTBFS because of missing b-d

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 10:01:12 +0200

gnome-app-install (0.2.8) edgy; urgency=low

  * debian/control: python2.4-dbus -> python-dbus
  * cache the desktop file information to make startup faster

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Aug 2006 12:27:19 +0200

gnome-app-install (0.2.7) edgy; urgency=low

  * SuggestedPackagesForFiletypesSpec: fix missing Depends on python-gdbm
    (Malone 57528.)

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 24 Aug 2006 09:24:05 +0100

gnome-app-install (0.2.6) edgy; urgency=low

  * SuggestedPackagesForFiletypesSpec implementation
    - gnome-app-install checks that no other options or arguments are given
    - gnome-app-install mime mode: looks in gdbm db
    - gnome-app-install mime mode: checks component and package whitelists
    - gnome-app-install mime mode: encodes lookup failures in exit status
    - app-install-data contains gdbm db for mime->program mapping
  * Fix for Malone #57323 (stack backtrace when you try to apply).

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 23 Aug 2006 16:12:54 +0100

gnome-app-install (0.2.5) edgy; urgency=low

  * updated the menu-data to current edgy, fixed a icon
    extraction bug along the way
  * added popularity column (sortable) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Aug 2006 10:25:46 +0200

gnome-app-install (0.2.4) edgy; urgency=low

  * Fix #52612: use the applications-office icon instead of the 
    skype one for gnome-office
  * refreshed the desktop files with a new icon extract code
  * added "Show all supported" view 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  4 Aug 2006 20:05:21 +0200

gnome-app-install (0.2.3) edgy; urgency=low

  * various bug/wording fixes


=== debian/control ===
Source: gnome-app-install
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), python, python-dev, gettext,  intltool, python-gdbm, python-xdg, python-gtk2, python-apt, python-glade2, python-dbus, hicolor-icon-theme, gnome-menus
Standards-Version: 3.6.2

Package: gnome-app-install
Architecture: all
Depends: ${Python:depends}, ${misc:Depends}, python, synaptic (>= 0.57.8), python-gtkhtml2, python-gconf, python-glade2 (>= 2.4.0), python-apt (>= 0.6.13), python-xdg (>= 0.8), gnome-icon-theme, python-launchpad-integration, firefox, update-manager, app-install-data (>= ${Source-Version}), python-dbus, app-install-data-commercial, gksu, python-gdbm, python-gtk2 (>= 2.10.1)
Conflicts: gnome-app-install-data
Description: GNOME Application Installer
 A pretty application installer for GNOME.


Package: app-install-data
Architecture: all
Description: GNOME Application Installer (data files)
 A pretty application installer for GNOME.
 .
 This package contains the data files for gnome-app-install.

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 build-stamp: 
 	dh_testdir
 	python setup.py build
+
+	# intltool for rosetta
+	(cd po; /usr/bin/intltool-update -p --verbose || true)
+
 	touch build-stamp
 
 clean:
@@ -38,14 +42,8 @@
 	#dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	python setup.py install --prefix=$(CURDIR)/debian/gnome-app-install/usr
-
-	# move the data files to a seperate package
-	mv debian/gnome-app-install/usr/share/gnome-app-install/desktop/*.desktop debian/app-install-data/usr/share/app-install/desktop
-	mv debian/gnome-app-install/usr/share/gnome-app-install/desktop/*.menu debian/app-install-data/usr/share/app-install/desktop
-	mv debian/gnome-app-install/usr/share/gnome-app-install/icons/* debian/app-install-data/usr/share/app-install/icons
-	mv debian/gnome-app-install/usr/share/gnome-app-install/channels/* debian/app-install-data/usr/share/app-install/channels || true
-
+	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+	mkdir -p $(CURDIR)/debian/tmp/var/cache/app-install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -55,12 +53,11 @@
 binary-arch: build install
 	dh_testdir
 	#dh_testroot
-	dh_gconf
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_scrollkeeper
-#	dh_install
+	dh_install --sourcedir=debian/tmp
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -76,6 +73,8 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
+	dh_iconcache
+	dh_gconf
 	dh_python
 #	dh_makeshlibs
 	dh_installdeb

## gnome-app-install 0.3.30

=== debian/changelog ===
gnome-app-install (0.3.30) feisty; urgency=low

  * menu-data:
    - updated to current feisty
  * AppInstall/Progress.py:
    - only set transient if we have a window
  * util/getMenuData.py:
    - consider usr/share/icons a valid icon dir as well

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2007 13:36:05 +0200

gnome-app-install (0.3.29) feisty; urgency=low

  * AppInstall/AppInstall.py:
    - fix xmlescape() (LP#91875)
    - do not crash if no dbus.service.BusName() fails (LP#92073)
  * data/gnome-app-install-xfce.desktop:
    - added so that g-a-i shows up in Applications/System in XFCE
  * data/gnome-app-install.desktop:
    - remove "System" from Categories (LP#98580)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  3 Apr 2007 14:02:30 +0200

gnome-app-install (0.3.28) feisty; urgency=low

  * data/gnome-app-install.desktop.in:
    - added System category (LP#93803)
  * menu-data/wesnoth.desktop, util/rename.cfg:
    - install "wesnoth-all" when selecting wesnoth (LP#96301)
  * gnome-app-install:
    - when runing in codec-instal mode, ask first if the user
      wants to search for codecs (#94372)
    - warn about unsupported codecs but show them all (LP#87748)
  * AppInstall/AppInstall.py:
    - proper error checking for conflicting installs (LP#86684)
  * menu-data:
    - updated to current feisty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Mar 2007 16:13:26 +0200

gnome-app-install (0.3.27) feisty; urgency=low

  * menu-data/*.desktop:
    - updated to latest feisty
  * AppInstall/CoreMenu.py:
    - do not use a regexp list for the mime-type, a string list
      works fine

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 18:13:58 +0100

gnome-app-install (0.3.26) feisty; urgency=low

  * menu-data-additional/gstreamer-bad-multiverse.desktop:
    - added for better multimedia support (LP#89999)
  * menu-data-additional/gstreamer-bad.desktop:
    - description updated
  * AppInstall/AppInstall.py:
    - do not crash if no /etc/apt/sources.list if available
      (LP#90078)
    - fix updating pkg states when the cache is updated (LP#88246)
    - protect against odd arguments in tooltip_on_filter (LP#87727)
  * AppInstall/DialogNewlyInstalled.py:
    - do not show "Click to launch" label if runing as root
      (we do not support it there)
  * packages-whitelist:
    - added gstreamer010-plugins-bad-multiverse
  * AppInstall/PackageWorker.py:
    - deal better deal with addon CDs
  * gnome-app-install:
    - do not crash for invalid codec arguemnts but return error code
      1 and display a error dialog (LP#88154)
    - change the gnome-codec-search return codes to match:
      http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstbaseutilsinstallplugins.html

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Mar 2007 09:34:54 +0100

gnome-app-install (0.3.25) feisty; urgency=low

  * install a additional gnome-codec-install so that the new
    gst can call that (LP#87748)
  * ensure that the default view is only supported ubuntu applications
  * do not show users menu dirs (LP#87733)
  * menu-data/popcon updated to current feisty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 09:53:48 +0100

gnome-app-install (0.3.24) feisty; urgency=low

  * AppInstall/AppInstall.py:
    - only run _ensureInArchive() for installs (LP#86593)
  * data/gnome-app-install.desktop.in:
    - added OnlyShowIn=GNOME;XFCE; (LP#78977)
  * debian/control:
    - only support python >= 2.4 (LP#78030)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Feb 2007 16:46:08 +0100

gnome-app-install (0.3.23) feisty; urgency=low

  * AppInstall/AppInstall.py:
    - make the search timeout bigger (LP#82509)
    - fix reference to "advanced mode" (LP#70283)
  * data/gnome-app-install.schemas.in:
    - add "search-timeout" gconf key
  * data/gnome-app-install.glade:
    - disable interactive search in categories (LP#86472)
  * menu-data-additional/*.py:
    - added popcon data
  * AppInstall/Menu.py:
    - fix init for popcon_max (LP#86530)
  * AppInstall/Cache.py:
    - move the assert for a clean cache into clean()
    - print broken/removed packages after clean()
  * menu-data/ia32-sun-java6-java.desktop:
    - fix arch-specific information
  * util/getMenuData.py:
    - make sure to write arch-specific information to all desktopfiles
      from a single package (LP#81371)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Feb 2007 23:19:25 +0100

gnome-app-install (0.3.22) feisty; urgency=low

  * report error on startup with a broken cache
  * fix memory leak (LP#85306)
  * speedups on package list reload and after install/remove
  * optimized the loading for codec and mime search

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Feb 2007 14:46:46 +0100

gnome-app-install (0.3.21) feisty; urgency=low

  * fix typo (LP#85037)
  * added swedish manual translation (BIG thanks to Daniel Nylander)
    (LP#85030)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 10:41:02 +0100

gnome-app-install (0.3.20) feisty; urgency=low

  * menu-data/totem.desktop:
    - fix incorrect replace information (LP#84690)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 17:24:49 +0100

gnome-app-install (0.3.19) feisty; urgency=low

  * updated menu-data/popcon-data for herd4

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 11:24:32 +0100

gnome-app-install (0.3.18) feisty; urgency=low

  * include full bzr changelog in package (for seb128)
  * relalize window_main before using it as transient parent (lp: #82926)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 18:22:47 +0100

gnome-app-install (0.3.17) feisty; urgency=low

  * added --addon-cd= switch to support addon CDs
    (EdubuntuOnTwoCDs spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 15:06:03 +0100

gnome-app-install (0.3.16) feisty; urgency=low

  * AppInstall/AppInstall.py:


=== debian/control ===
Source: gnome-app-install
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), python, python-dev, gettext,  intltool, python-gdbm, python-xdg, python-gtk2, python-apt, python-glade2, python-dbus, hicolor-icon-theme, gnome-menus, python-central (>= 0.5)
Standards-Version: 3.7.2
XS-Python-Version: >= 2.4

Package: gnome-app-install
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, synaptic (>= 0.57.8), python-gtkhtml2, python-gconf, python-glade2 (>= 2.4.0), python-apt (>= 0.6.20), python-xdg (>= 0.8), gnome-icon-theme, python-launchpad-integration, app-install-data (>= ${Source-Version}), python-dbus, app-install-data-commercial, gksu, python-gdbm, python-gtk2 (>= 2.10.1), software-properties-gtk
Suggests: totem
Conflicts: gnome-app-install-data
XB-Python-Version: ${python:Versions}
Description: GNOME Application Installer
 A pretty application installer for GNOME. It can also search for mime
 types or gstreamer codecs.


Package: app-install-data
Architecture: all
Description: GNOME Application Installer (data files)
 A pretty application installer for GNOME. It can also search for mime
 types or gstreamer codecs.
 .
 This package contains the data files for gnome-app-install.

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,10 @@
 	dh_clean -k 
 	dh_installdirs
 	python setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+	# make symlink
+	(cd $(CURDIR)/debian/tmp/usr/bin/ ; ln -s gnome-app-install gnome-codec-install)
 	mkdir -p $(CURDIR)/debian/tmp/var/cache/app-install
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/locale
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -53,7 +56,7 @@
 binary-arch: build install
 	dh_testdir
 	#dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs Changelog
 	dh_installdocs
 	dh_installexamples
 	dh_scrollkeeper
@@ -75,7 +78,7 @@
 #	dh_perl
 	dh_iconcache
 	dh_gconf
-	dh_python
+	dh_pycentral
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
@@ -87,6 +90,8 @@
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/$(NAME)-$(VER)
 	tar -c --no-recursion --exclude=arch-build -f - `bzr inventory` | (cd debian/arch-build/$(NAME)-$(VER);tar xf -)
+	# for seb128
+	bzr log > debian/arch-build/$(NAME)-$(VER)/Changelog
 	(cd debian/arch-build/$(NAME)-$(VER) && $(DEB_BUILD_PROG))

## gnome-app-install 0.3.31

=== po/Makefile ===

DOMAIN=gnome-app-install
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))
	# update the po files 
	#for f in $(PO_FILES); do \
	#	intltool-update -r $${f%.po}  -g $(DOMAIN); \
	#done

=== debian/changelog ===
gnome-app-install (0.3.31) feisty-proposed; urgency=low

  * gnome-app-install:
    - fix crash when window parent is none (LP#106026)
  * po/POTFILES.in: 
    - add missing gnome-app-install main (LP#106756)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 May 2007 11:56:15 +0200

## gnome-app-install 0.5.2.8

=== data/Makefile ===

DOMAIN=gnome-app-install
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

SCHEMAS_IN_FILES := $(wildcard *.schemas.in)
SCHEMAS_FILES := $(patsubst %.schemas.in,%.schemas,$(wildcard *.schemas.in))

all: $(DESKTOP_FILES) $(SCHEMAS_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

%.schemas: %.schemas.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

## gnome-app-install 0.5.12

=== help/sv/Makefile ===

TOP_DOCDIR=../C/

gnome-app-install.xml: sv.po
	po2xml $(TOP_DOCDIR)/$@ $<  > $@

## gnome-app-install 0.5.60.1ubuntu2

=== debian/changelog ===
gnome-app-install (0.5.60.1ubuntu2) karmic; urgency=low

  * no change upload to get mo files build again (LP: #456757)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Oct 2009 18:10:26 +0200

gnome-app-install (0.5.60.1ubuntu1) karmic; urgency=low

  * AppInstall/Menu.py:
    - do not crash if a Icon can not be loaded (LP: #406850)
  * fix crash when opening with specific activation style 
    (LP: #391555)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 13:28:00 +0200

gnome-app-install (0.5.60.1) unstable; urgency=low

  * Do not raise an error if the translation can not be found.

 -- Julian Andres Klode <jak@debian.org>  Fri, 21 Aug 2009 13:34:36 +0200

gnome-app-install (0.5.60) unstable; urgency=low

  * New release to be shared by Debian and Ubuntu (Closes: #537235).
  * AppInstall/widgets/AppDescView.py:
    - Add a button to fetch a screenshot (like synaptic)
    - Use UTF-8 bullets.
    - Use a new description formatter which should produce better results.
  * Rename AppInstall/AppInstall.py to AppInstall/AppInstallApp.py to
    not cause confusion between the package and the module.
  * Use gettext.install() to install _() into the builtin namespace, this is
    much faster than using gettext.gettext each time.  
  * AppInstall/SimpleGtkbuilderApp.py:
    - Call set_translation_domain() so translations work correctly.
  * AppInstall/distros/__init__.py:
    - Detect the currently running System via lsb_release.
  * AppInstall/distros/Debian.py:
    - Rework to only support main and treat all other components as
      unsupported.
  * AppInstall/Menu.py:
    - Only call self.itemIsInstalled() if we have a cache.
  * debian/control:
    - Drop dependency on python-launchpad-integration, it's not used.
    - Set maintainer to g-a-i-devel@lists.alioth.debian.org
    - Fix typo in description (s/gstreamer/GStreamer and s/mime/MIME)
  * debian/copyright:
    - Update to DEP-5 draft format.
  * debian/postinst:
    - Call update-app-install without a path.
  * debian/rules:
    - Install the modules into /usr/share/gnome-app-install.
    - Use debhelper 7 instead of CDBS.
  * po/POTFILES.in:
    - Treat gnome-app-install.ui as gettext/glade, so strings are picked up
      again.
  * po: Merge translations from Launchpad.
  * Remove the progress label from data/gnome-app-install.ui and move it into
    the distribution classes.
  * data/*.desktop.in:
    - Change name to "Add/Remove Applications" and System;Settings to the
      categories.
    - Remove the deprecated Encoding key.

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Aug 2009 16:55:32 +0200

gnome-app-install (0.5.52-0ubuntu1) karmic; urgency=low

  * fix detection of aptdaemon
  * AppInstall/widgets/AppDescView.py:
    - fix short description display
  * AppInstall/backend/InstallBackendAptdaemon.py:
    - updated to work with the latest aptdaemon
  * debian/control:
    - add aptdaemon or-dependency (in addition to synaptic)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Aug 2009 15:43:58 +0200

gnome-app-install (0.5.51-0ubuntu1) karmic; urgency=low

  [ David Stansby ]
  *  Added yelp reccomends to make sure that xubuntu users
     don't have a help button that does nothing (LP: #78689)

  [ Michael Vogt ]
  * AppInstall/SimpleGtkbuilderApp.py:
    - updated to new version
  * AppInstall/update.py:
    - cache pkgname->icon mapping to
  * make update-manager use aptdaemon (if avaialble)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Jul 2009 11:17:34 +0200

gnome-app-install (0.5.50-0ubuntu1) karmic; urgency=low

  * ported to gtkbuilder
  * better InstallBackend seperation
  * use factory to construct the best backend and use
    aptdaemon if available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Jul 2009 17:45:42 +0200

gnome-app-install (0.5.30-0ubuntu1) karmic; urgency=low

  * AppInstall/CoreMenu.py, AppInstall/Menu.py:
    - support keyword search ("Keywords" and "X-AppInstall-Keywords")
  * util/addKeywords.py:
    - add tool that can add keyword data to the meta-data
  * fix crash in search code
  * faster startup by loading the apt cache and the desktop
    data in parallel (not as much win as initially hoped because
    Thread.start() is rather slow in python)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Jun 2009 18:01:33 +0200

gnome-app-install (0.5.24-1) unstable; urgency=low

  * New upstream release (Closes: #523307)
  * debian/patches/05_fix_spelling.patch:
    - Rebase against the new release
  * debian/postinst, debian/prerm, debian/links:
    - Provide an alternative for gstreamer-codec-install, but use of the
      gnome-codec-install is recommended (g-c-i has a higher priority).
  * debian/control.in:
    - Update to Standards-Version 3.8.1
    - Replace jak@jak-linux.org with jak@debian.org
    - Drop Sebastian Heinlein <glatzor@ubuntu.com> from Uploaders
    - Remove Dm-Upload-Allowed, it's not needed anymore.

 -- Julian Andres Klode <jak@debian.org>  Thu, 09 Apr 2009 14:28:28 +0200

gnome-app-install (0.5.24-0ubuntu1.1) jaunty-proposed; urgency=low

  * AppInstall/Menu.py:
    - fix search filter bug (LP: #354563)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Apr 2009 10:25:39 +0200

gnome-app-install (0.5.24-0ubuntu1) jaunty; urgency=low

  * fix missing app name for unknown maintaince status
    (LP: #320517) - thanks to István Nyitrai

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 14:54:17 +0200

gnome-app-install (0.5.23-0ubuntu1) jaunty; urgency=low

  * AppInstall/AppInstall.py:
    - fix crash in menu sort order code (right click
      on "All")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 11:32:34 +0100

gnome-app-install (0.5.22-0ubuntu1) jaunty; urgency=low

  * fix bug in X-AppInstall-AlwaysOnTop sorting (thanks
    to LaserJock for reporting)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Mar 2009 17:40:10 +0100

gnome-app-install (0.5.21-0ubuntu1) jaunty; urgency=low



=== debian/control ===
Source: gnome-app-install
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNOME-App-Install Developers <g-a-i-devel@lists.alioth.debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>, Michael Vogt <mvo@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               gettext,
               intltool,
               python,
               python-central (>= 0.5),
               python-distutils-extra (>= 1.91),
	           python-setuptools
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Bzr: http://bzr.debian.org/g-a-i/debian-sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/g-a-i/debian-sid/

Package: gnome-app-install
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         gksu,
         gnome-icon-theme,
         python-apt (>= 0.7.4ubuntu4),
         python-dbus,
         python-gconf,
         python-gdbm,
         python-gst0.10,
         python-gtk2 (>= 2.10.1),
         python-gtkhtml2,
         python-xdg (>= 0.8),
         python-sexy,
         synaptic (>= 0.57.8) | aptdaemon
Recommends: yelp, lsb-release
XB-Python-Version: ${python:Versions}
Description: GNOME Application Installer
 A pretty application installer for GNOME. It can also search for MIME
 types or GStreamer codecs.

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/gnome-app-install/
%:
	dh --with=python-central $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build AppInstall/Version.py gnome_app_install.egg-info

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/gnome-app-install/
	rm -r debian/gnome-app-install/usr/share/gnome-app-install/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/gnome-app-install/usr/*bin/* debian/gnome-app-install/$(share)
	rmdir debian/gnome-app-install/usr/*bin
	dh_link $(share)/gnome-app-install usr/bin/gnome-app-install \
	        $(share)/update-app-install usr/sbin/update-app-install \
			$(share)/gnome-app-install-helper usr/sbin/gnome-app-install-helper
	# Remove empty directories.
	find debian/gnome-app-install/usr -type d -empty -delete

## gnome-app-install 0.5.60.1ubuntu2trisquel8-2

=== debian/changelog ===
gnome-app-install (0.5.60.1ubuntu2trisquel8-2) flidas; urgency=medium

  * Remove gst0.10 support

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Mar 2018 21:04:19 -0400

gnome-app-install (0.5.60.1ubuntu2trisquel8-1) flidas; urgency=medium

  * Depend on synaptic 

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 08 Apr 2017 17:48:22 -0400

gnome-app-install (0.5.60.1ubuntu2trisquel8) flidas; urgency=medium

  * Updated for flidas, fixed category icon loading

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 07 Apr 2017 20:47:49 -0400

gnome-app-install (0.5.60.1ubuntu2trisquel6-8) belenos; urgency=low

  * Fixed bug on multiple selections
  * Fixed untranslated chains
  * Fixed package description and translations

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Dec 2014 06:26:51 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-7) toutatis; urgency=low

  * Fixed #12010

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 07 Aug 2014 03:29:59 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-6) toutatis; urgency=low

  * Fixed gnome-app-install search

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Jul 2014 21:02:50 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-5) belenos; urgency=low

  * Update for new python-apt API

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 19 May 2014 19:59:53 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6-4) slaine; urgency=low

  * Updated AppDescView.py to fix packages with no description failing
    to load

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Mar 2012 15:17:56 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-3) slaine; urgency=low

  * Updated AppDescView.py to fix descriptions failing to load in
    brigantia

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 15 Mar 2012 14:34:39 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-2) slaine; urgency=low

  * Now provids software-center, fixes #4105

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Nov 2011 02:28:14 +0100

gnome-app-install (0.5.60.1ubuntu2trisquel6-1) slaine; urgency=low

  * Removed python-sexy dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Jul 2011 03:06:09 +0200

gnome-app-install (0.5.60.1ubuntu2trisquel6) slaine; urgency=low

  * AppInstall/AppInstallApp.py
    - Fixed progress window failing to close on cache update

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Jan 2011 02:57:22 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel5) slaine; urgency=low

  * Updated spanish and galician translations

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Jan 2011 02:50:52 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel4) slaine; urgency=low

  * Backend changed to synaptic
  * Changed "Get screenshot" chain to "Screenshot"
  * Removed splash screen chain about third party vendors
  * Removed libgtkhtml2 dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Jan 2011 01:23:21 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel3) taranis; urgency=low

  * Menu entry shows in all desktops

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Sep 2010 02:01:42 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel2) taranis; urgency=low

  * Removed xfce icon

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 05 Sep 2010 17:05:23 +0000

gnome-app-install (0.5.60.1ubuntu2trisquel1) awen; urgency=low

  * Removed non-free recommendation system

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Feb 2010 14:30:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-app-install
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: GNOME-App-Install Developers <g-a-i-devel@lists.alioth.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>, Michael Vogt <mvo@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
@@ -27,13 +27,11 @@
          python-dbus,
          python-gconf,
          python-gdbm,
-         python-gst0.10,
          python-gtk2 (>= 2.10.1),
-         python-gtkhtml2,
          python-xdg (>= 0.8),
-         python-sexy,
-         synaptic (>= 0.57.8) | aptdaemon
+         synaptic
 Recommends: yelp, lsb-release
+Provides: software-center
 XB-Python-Version: ${python:Versions}
 Description: GNOME Application Installer
  A pretty application installer for GNOME. It can also search for MIME
